Subject: [AVTCORE] AD review: draft-ietf-avtcore-clksrc-09

From: Richard Barnes <[email-masked]>
Date: Sat, 28 Dec 2013 20:25:39 -0500

I have reviewed this document in preparation for IETF LC.  Overall, it
reads quite well.  Thanks!   I have requested a LC.

A couple of comments that you can consider with LC comments:

-- It seems like a reader familiar with
draft-ietf-avtext-rtp-grouping-taxonomy might be surprised by these terms.
Given that that document is still in development, I don't expect you to be
able to use the terms there.  However, it might be helpful to add a note
saying that you are not attempting to align with their terminology.

-- GLONASS?

-- Behavior with traceable clocks seems underspecified to me.  Section 4.7
should say explicitly that traceable clocks are marked with the
":traceable" suffix or the "/traceable/" identifier.  With regard to
NTP/PTP servers, how does the user of the clock know that the server is
traceable?  Is this indicated in-band to those protocols?  Would it not be
useful to be able to indicate that those servers provide traceable time?

--Richard